package io.zipcoder.interfaces;

import org.junit.Assert;
import org.junit.Test;

import java.lang.reflect.Array;
import java.util.ArrayList;

public class PeopleTest {
    People people = new People();
    //ArrayList<Person> personList = new ArrayList<Person>();

    @Test
    public void testAdd(){
        Person person = new Person(48);
        Person person1 = new Person(842);
        Person person2 = new Person(22);

        people.personList.add(person);
        people.personList.add(person1);
        people.personList.add(person2);

        Assert.assertTrue(people.personList.size() == 3);
    }

    @Test
    public void testRemoveByPerson(){
        Person person = new Person(48);
        Person person1 = new Person(842);
        Person person2 = new Person(22);

        people.personList.add(person);
        people.personList.add(person1);
        people.personList.add(person2);

        people.personList.remove(person1);
        Assert.assertTrue(people.personList.size() == 2);
    }

    @Test
    public void testRemoveById(){
        Person person = new Person(48);
        Person person1 = new Person(842);
        Person person2 = new Person(22);

        people.personList.add(person);
        people.personList.add(person1);
        people.personList.add(person2);

        people.remove(842);

        Assert.assertTrue(people.personList.size() == 2);

    }

    @Test
    public void testFindById(){
        Person person = new Person(48);
        Person person1 = new Person(842);
        Person person2 = new Person(22);

        people.personList.add(person);
        people.personList.add(person1);
        people.personList.add(person2);


        Assert.assertTrue(people.findById(22).equals(person2));
    }

    @Test
    public void testGetArray(){
        Person person = new Person(48);
        Person person1 = new Person(842);
        Person person2 = new Person(22);

        people.personList.add(person);
        people.personList.add(person1);
        people.personList.add(person2);

        //Person[] q = new Person[people.personList.size()];
        Object[] x = {person, person1, person2};

        people.personList.toArray();

        //people.getArray(people.personList);


        //Assert.assertTrue(people.getArray(people.personList).equals(x));

        Assert.assertEquals(people.personList.toArray(), people.getArray(people.personList));
    }
}
