package io.zipcoder.interfaces;

import org.junit.Assert;
import org.junit.Test;

public class PersonTest {
    private final long id;
    Person person = new Person(450);

    public PersonTest(int id){
        this.id = id;
    }



    @Test
    public void testGetId(){

        long actual = person.getId();
        long expected = id;

        Assert.assertEquals(expected, actual);
    }

    @Test
    public void testSetAndGetName(){
        person.setName("Rhea");
        String actual = person.getName();
        String expected = "Rhea";

        Assert.assertEquals(expected, actual);

    }
}
